using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Server.Entities;

namespace ReallifeGamemode.Server.Managers
{
    public class PositionManager : Script
    {
        public static List<DutyPoint> DutyPoints = new List<DutyPoint>();
        public static List<ColShape> DutyColShapes = new List<ColShape>();

        [ServerEvent(Event.ResourceStart)]
        public void OnResourceStart()
        {
            DutyPoint dutyPointLSPD = new DutyPoint()
            {
                Position = new Vector3(458.24, -990.86, 30.68),
                FactionId = 1
            };

            DutyPoints.Add(dutyPointLSPD);

            foreach (DutyPoint d in DutyPoints)
            {
                NAPI.Marker.CreateMarker(1, new Vector3(d.Position.X, d.Position.Y, d.Position.Z - 2), new Vector3(d.Position.X, d.Position.Y, d.Position.Z + 1),
                    new Vector3(0, 0, 0), 3, new Color(255, 255, 255, 50), false, 0);
                NAPI.TextLabel.CreateTextLabel("Stempeluhr - Dr\u00fccke ~y~E\n~s~Dienstkleidung - Dr\u00fccke ~y~K", d.Position, 7, 1, 0, new Color(255, 255, 255), false, 0);
            }
        }
    }

    public class DutyPoint
    {
        public Vector3 Position { get; set; }
        public int FactionId { get; set; }
    }

}

